#
# spec file for package rubygem-pkg-config
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-pkg-config
Version:        1.2.8
Release:        1.24
%define mod_name pkg-config
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/ruby-gnome2/pkg-config
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A pkg-config implementation for Ruby
License:        LGPL-2.1+
Group:          Development/Languages/Ruby

%description
pkg-config can be used in your extconf.rb to properly detect need libraries
for compiling Ruby native extensions.

%prep

%build

%install
%gem_install \
  --doc-files="NEWS README.rdoc" \
  -f

%gem_packages

%changelog
* Thu Oct 26 2017 coolo@suse.com
- updated to version 1.2.8
  see installed NEWS
  == 1.2.8 - 2017-10-19
  === Improvements
  * Improved macOS environment detection.
    [Reported by Simeon Manolov]
  === Thanks
  * Simeon Manolov
* Mon Sep 11 2017 coolo@suse.com
- updated to version 1.2.7
  see installed NEWS
  == 1.2.7 - 2017-08-16
  === Improvements
  * Improved Homebrew repository detection.
    [Reported by Wyatt Kirby]
  === Thanks
  * Wyatt Kirby
  == 1.2.6 - 2017-08-13
  === Improvements
  * Improved Homebrew repository detection.
  == 1.2.5 - 2017-08-10
  === Improvements
  * Supported Homebrew bundled .pc files.
    [GitHub:rcairo/rcairo#49][Reported by choboy11]
  === Thanks
  * choboy11
  == 1.2.4 - 2017-08-07
  === Improvements
  * Added `pkg-config` 0.29 or later compatible result support.
    [GitHub#13][Reported by HIGUCHI Daisuke]
  * test: Updated expected value for the latest cairo.
    [GitHub#14][Patch by HIGUCHI Daisuke]
  === Thanks
  * HIGUCHI Daisuke
* Tue May 30 2017 coolo@suse.com
- updated to version 1.2.3
  see installed NEWS
  == 1.2.3 - 2017-05-29
  === Fixes
  * Supported *-mingw32 Rubies without MSYS2 again.
  == 1.2.2 - 2017-05-29
  === Improvements
  * Supported path normalization for MSYS2.
  == 1.2.1 - 2017-05-29
  === Improvements
  * Supported MSYS2.
* Tue May 23 2017 coolo@suse.com
- updated to version 1.2.0
  see installed NEWS
  == 1.2.0 - 2017-04-25
  === Improvements
  * Supported x32 environment. [GitHub#12][Reported by Elan Ruusamäe]
  === Thanks
  * Elan Ruusamäe
  == 1.1.9 - 2017-04-20
  * Supported C++ compiler.
  == 1.1.8 - 2017-04-19
  * Stopped to require mkmf.
* Thu Jan 21 2016 coolo@suse.com
- updated to version 1.1.7
  see installed NEWS
  == 1.1.7 - 2015-01-16
  * Added path for FreeBSD to default paths.
    [Reported by Hajime UMEMOTO]
  === Thanks
  * Hajime UMEMOTO
* Mon Feb  9 2015 coolo@suse.com
- updated to version 1.1.6
  * Supported Ruby 2.1.
* Wed Oct 15 2014 coolo@suse.com
- add gem2rpm.yml to fix requires
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Sun Jan  5 2014 coolo@suse.com
- updated to version 1.1.5
* Fri Aug  3 2012 coolo@suse.com
- updated to version 1.1.4
  * Supported mswin64 as MSVC environment.
* Sat Jun 30 2012 coolo@suse.com
- update to 1.1.3, small bug fix for more stranger pkg-config files
- require pkg-config for the real functionality
* Fri Oct 14 2011 lazy.kent@opensuse.org
- Initial package created - 1.1.2.
